Page 1 of 1

Metro M4 Airlift Lite beta.21 wants ESP Module Firmware Upgr

Posted: Thu Jan 06, 2022 6:16 pm
by adafruitguy
After upgrading my Metro M4 Airlift Lite from beta.20 to beta.21, I am getting the following error, and continuous board reboot...

Code: Select all

[Disconnected]
[Connected]
Subscribing to MQTT topics...
Added sub 0
Added sub 1
Added sub 2
Added sub 3
Added sub 4
Attempting to connect to WiFi...
Please upgrade the firmware on the ESP module to the latest version.
[Disconnected]
[Connected]
Subscribing to MQTT topics...
Added sub 0
Added sub 1
Added sub 2
Added sub 3
Added sub 4
Attempting to connect to WiFi...
Please upgrade the firmware on the ESP module to the latest version.

Re: Metro M4 Airlift Lite beta.21 wants ESP Module Firmware

Posted: Fri Jan 07, 2022 11:19 am
by brubell

Re: Metro M4 Airlift Lite beta.21 wants ESP Module Firmware

Posted: Fri Jan 07, 2022 4:45 pm
by brubell
I'm unable to reproduce the esp module firmware upgrade error on my Metro M4 AirLift Lite. Please try following the steps on this page to upgrade your ESP32 AirLift's firmware: https://learn.adafruit.com/upgrading-es ... -one-board and reinstall beta 21.

However, I am able to get the continuous board reboot (proposed patch is here: https://github.com/adafruit/Adafruit_Wi ... o/pull/205).

I've included a build UF2 from that pull request, could you confirm it works on your end as well?

Re: Metro M4 Airlift Lite beta.21 wants ESP Module Firmware

Posted: Fri Jan 07, 2022 5:37 pm
by adafruitguy
That build gives a quick warning on firmware, boots, and connects successfully.

It is still claiming: 1.0.0-beta.20 in wipper_boot_out.txt ???

I will proceed through the passthrough / upgrade procedure.

Boot, firmware notice, success....

Code: Select all

[Connected]
Subscribing to MQTT topics...
Added sub 0
Added sub 1
Added sub 2
Added sub 3
Added sub 4
Please upgrade the firmware on the ESP module to the latest version.
Connecting to: io.adafruit.com
Connect result: 1
MQTT connect packet:
[Lot's of stuff to REDACT]
[Success and lots of happy MQTT ping packets]

Re: Metro M4 Airlift Lite beta.21 wants ESP Module Firmware

Posted: Fri Jan 07, 2022 9:31 pm
by adafruitguy
Is that image the Metro M4 w/ AirLift or Metro S2?

I am 99% sure I was still running the beta.20 before the ESP AirLift firmware update. It never said it was running anything other than beta.20.

After the ESP module firmware upgrade...

- The pull build keeps reloading as METROM4BOOT only.
- beta.21 no longer shows the ESP firmware version warning, but keeps restarting.
- and, beta.20 still seems reliable, and no longer warnings on the ESP firmware version.

Re: Metro M4 Airlift Lite beta.21 wants ESP Module Firmware

Posted: Mon Jan 10, 2022 1:03 pm
by brubell
Is that image the Metro M4 w/ AirLift or Metro S2?
Oops, linked the wrong one..
If you go to... https://github.com/adafruit/Adafruit_Wi ... 1669203746 -> click "build-files" -> download zip -> `metro_m4...airliftlite.uf2` should be in there.

It should display on IO as beta.22.

Re: Metro M4 Airlift Lite beta.21 wants ESP Module Firmware

Posted: Mon Jan 10, 2022 1:47 pm
by adafruitguy
Got it - thank you.

Up & running, on the Metro M4 w/ AirLift. So far it's doing much better than .21.
Got beta.22 on M4 Metro
Got beta.22 on M4 Metro
Screen Shot 2022-01-10 at 12.38.58 PM.png (202.26 KiB) Viewed 100 times
My PyPortal was having similar issues. Complaining on ESP firmware & frequent reboots. I've upgraded the ESP firmware, and will try out .22 on it as well.